classification
Title: bdist_msi gives a deprecation warning when run with Python 2.6
Type: behavior Stage:
Components: Distutils, Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, lemburg, ocean-city
Priority: normal Keywords: easy, needs review, patch

Created on 2008-08-29 21:42 by lemburg, last changed 2008-09-01 14:25 by ocean-city. This issue is now closed.

Files
File name Uploaded Description Edit
fix_deprecated_sets.patch ocean-city, 2008-08-30 01:25
Messages (4)
msg72162 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2008-08-29 21:42
d:\Python26\lib\msilib\__init__.py:5: DeprecationWarning: the sets
module is deprecated
  import sets, os, string, re

Should be easy to solve.
msg72182 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-08-30 01:25
This patch will partialy backport r53335
msg72245 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-01 14:04
Go ahead and apply.
msg72251 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-09-01 14:25
Thanks, fixed in r66100.
History
Date User Action Args
2008-09-01 14:25:25ocean-citysetstatus: open -> closed
resolution: fixed
messages: + msg72251
2008-09-01 14:04:22benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg72245
2008-09-01 11:46:24ocean-citysetkeywords: + needs review
2008-08-30 01:25:56ocean-citysetfiles: + fix_deprecated_sets.patch
keywords: + patch
messages: + msg72182
nosy: + ocean-city
2008-08-29 21:42:50lemburgcreate